GNU bug report logs - #38035
27.0.50; Trivial errors in process filters can render Emacs unusable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; dated Sat, 2 Nov 2019 17:55:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 15 Nov 2019 07:53:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 02:53:27 2019
Received: from localhost ([127.0.0.1]:35534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVWQ2-0003fX-81
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2019 02:53:26 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iVWQ1-0003fM-5L
 for 38035 <at> debbugs.gnu.org; Fri, 15 Nov 2019 02:53:25 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iVWPp-0003cv-TV; Fri, 15 Nov 2019 08:53:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
 <83zhh5a7pa.fsf@HIDDEN> <87h83czt41.fsf@HIDDEN>
 <838soi96lz.fsf@HIDDEN> <87zhgyn5lz.fsf@HIDDEN>
 <83h8365ywt.fsf@HIDDEN>
Date: Fri, 15 Nov 2019 08:53:13 +0100
In-Reply-To: <83h8365ywt.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 14 Nov
 2019 16:13:22 +0200")
Message-ID: <87zhgxlgnq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Perhaps you just
 don't
 work with filters that much? > > Not with filters that signal errors, no.
 Ah, somebody who writes perfect code on the first attempt. That's always
 nice. :-) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Perhaps you just don't work with filters that much?
>
> Not with filters that signal errors, no.

Ah, somebody who writes perfect code on the first attempt.  That's
always nice.  :-)

> But I thought the solution for the filters was already agreed upon?

Sure.  I just want to remove the two-second sleep, too, but it's a
separate issue, really.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 14 Nov 2019 14:14:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 09:14:02 2019
Received: from localhost ([127.0.0.1]:32920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVFso-0000Sg-3p
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:14:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVFsm-0000S5-Ls
 for 38035 <at> debbugs.gnu.org; Thu, 14 Nov 2019 09:14:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51311)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVFsg-0003y6-Cz; Thu, 14 Nov 2019 09:13:54 -0500
Received: from [176.228.60.248] (port=4840 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVFsP-0007cS-22; Thu, 14 Nov 2019 09:13:37 -0500
Date: Thu, 14 Nov 2019 16:13:22 +0200
Message-Id: <83h8365ywt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87zhgyn5lz.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 14 Nov 2019 10:56:40 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
 <83zhh5a7pa.fsf@HIDDEN> <87h83czt41.fsf@HIDDEN>
 <838soi96lz.fsf@HIDDEN> <87zhgyn5lz.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rms@HIDDEN,  38035 <at> debbugs.gnu.org
> Date: Thu, 14 Nov 2019 10:56:40 +0100
> 
> Perhaps you just don't work with filters that much?

Not with filters that signal errors, no.

But I thought the solution for the filters was already agreed upon?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 14 Nov 2019 09:56:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 04:56:54 2019
Received: from localhost ([127.0.0.1]:60966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVBry-0008A2-9r
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 04:56:54 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iVBrt-00089m-Lc
 for 38035 <at> debbugs.gnu.org; Thu, 14 Nov 2019 04:56:51 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iVBrl-0002S6-Kf; Thu, 14 Nov 2019 10:56:44 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
 <83zhh5a7pa.fsf@HIDDEN> <87h83czt41.fsf@HIDDEN>
 <838soi96lz.fsf@HIDDEN>
Date: Thu, 14 Nov 2019 10:56:40 +0100
In-Reply-To: <838soi96lz.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 14 Nov
 2019 10:58:48 +0200")
Message-ID: <87zhgyn5lz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> What do you mean by
 "single accident"? > > The one that you cited, and which started this. I
 posted a proof of concept. I'm seeing this problem all the time when working
 with filters. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> What do you mean by "single accident"?  
>
> The one that you cited, and which started this.

I posted a proof of concept.  I'm seeing this problem all the time when
working with filters.

Perhaps you just don't work with filters that much?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 14 Nov 2019 08:59:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 14 03:59:20 2019
Received: from localhost ([127.0.0.1]:60922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVAyG-0006k6-KA
	for submit <at> debbugs.gnu.org; Thu, 14 Nov 2019 03:59:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iVAyE-0006ju-U9
 for 38035 <at> debbugs.gnu.org; Thu, 14 Nov 2019 03:59:19 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46437)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iVAy9-0002PA-OM; Thu, 14 Nov 2019 03:59:13 -0500
Received: from [176.228.60.248] (port=1412 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iVAy0-0005Rh-Ef; Thu, 14 Nov 2019 03:59:04 -0500
Date: Thu, 14 Nov 2019 10:58:48 +0200
Message-Id: <838soi96lz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87h83czt41.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 09 Nov 2019 21:34:38 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
 <83zhh5a7pa.fsf@HIDDEN> <87h83czt41.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rms@HIDDEN,  38035 <at> debbugs.gnu.org
> Date: Sat, 09 Nov 2019 21:34:38 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Maybe we should do the same with timer functions, indeed.
> 
> And post-command-hook and all the other errors?

IMO no, because post-command-hook isn't asynchronous.

> >> I just think that Emacs should behave consistently.
> >
> > If doing the same with timers will contribute to that consistency, I
> > don't object.  I just think that we shouldn't remove an old feature
> > because of a single accident that should be quite rare.
> 
> What do you mean by "single accident"?  

The one that you cited, and which started this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 9 Nov 2019 20:34:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 15:34:44 2019
Received: from localhost ([127.0.0.1]:50338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTXRU-0005Iu-Lj
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 15:34:44 -0500
Received: from quimby.gnus.org ([80.91.231.51]:40912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iTXRT-0005Im-2e
 for 38035 <at> debbugs.gnu.org; Sat, 09 Nov 2019 15:34:43 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iTXRP-0000sQ-1n; Sat, 09 Nov 2019 21:34:41 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
 <83zhh5a7pa.fsf@HIDDEN>
Date: Sat, 09 Nov 2019 21:34:38 +0100
In-Reply-To: <83zhh5a7pa.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 09 Nov
 2019 08:24:01 +0200")
Message-ID: <87h83czt41.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Maybe we should do
 the same with timer functions, indeed. And post-command-hook and all the other
 errors? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Maybe we should do the same with timer functions, indeed.

And post-command-hook and all the other errors?

>> I just think that Emacs should behave consistently.
>
> If doing the same with timers will contribute to that consistency, I
> don't object.  I just think that we shouldn't remove an old feature
> because of a single accident that should be quite rare.

What do you mean by "single accident"?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 9 Nov 2019 06:24:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 01:24:25 2019
Received: from localhost ([127.0.0.1]:48080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTKAa-0002bi-Oz
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 01:24:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46532)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTKAY-0002bU-GA
 for 38035 <at> debbugs.gnu.org; Sat, 09 Nov 2019 01:24:23 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36008)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTKAT-0008T0-AF; Sat, 09 Nov 2019 01:24:17 -0500
Received: from [176.228.60.248] (port=4800 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTKAL-0006Vh-KU; Sat, 09 Nov 2019 01:24:10 -0500
Date: Sat, 09 Nov 2019 08:24:01 +0200
Message-Id: <83zhh5a7pa.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <871rui5bry.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 08 Nov 2019 21:54:57 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN> <871rui5bry.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rms@HIDDEN,  38035 <at> debbugs.gnu.org
> Date: Fri, 08 Nov 2019 21:54:57 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> But we don't do this with errors that happen in other circumstances --
> >> just the filter errors, I think?
> >
> > Because reception of process output is not necessarily a frequent
> > event, so we want to be sure the user had enough time to see the
> > message.
> 
> But why filters in particular?  As I said, we don't do this with any
> other errors, including run-at-time (which is usually not a frequent
> thing at all).

Maybe we should do the same with timer functions, indeed.

> I'm not pissed off?  :-)

Sorry.

> I just think that Emacs should behave consistently.

If doing the same with timers will contribute to that consistency, I
don't object.  I just think that we shouldn't remove an old feature
because of a single accident that should be quite rare.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 8 Nov 2019 20:55:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 15:55:03 2019
Received: from localhost ([127.0.0.1]:47729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTBHb-0002WZ-Fj
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:55:03 -0500
Received: from quimby.gnus.org ([80.91.231.51]:53310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iTBHZ-0002W6-Jv
 for 38035 <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:55:02 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iTBHV-0007GN-Gu; Fri, 08 Nov 2019 21:55:00 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
 <831ruiay99.fsf@HIDDEN>
Date: Fri, 08 Nov 2019 21:54:57 +0100
In-Reply-To: <831ruiay99.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Nov
 2019 22:50:26 +0200")
Message-ID: <871rui5bry.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> But we don't do this
 with errors that happen in other circumstances -- >> just the filter errors,
 I think? > > Because reception of process output is not necessarily a frequent
 > event, so we want [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> But we don't do this with errors that happen in other circumstances --
>> just the filter errors, I think?
>
> Because reception of process output is not necessarily a frequent
> event, so we want to be sure the user had enough time to see the
> message.

But why filters in particular?  As I said, we don't do this with any
other errors, including run-at-time (which is usually not a frequent
thing at all).

> I understand that it pissed you off, but the situation where it
> happened will be resolved by the automatic disabling, so your past
> annoyance doesn't need to affect anything else.  IOW, I think you are
> over-reacting here.

I'm not pissed off?  :-)

I just think that Emacs should behave consistently.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 8 Nov 2019 20:50:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 15:50:54 2019
Received: from localhost ([127.0.0.1]:47725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTBDZ-0002QL-QG
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:50:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iTBDW-0002Q8-RB
 for 38035 <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:50:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55360)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iTBDR-0000FC-L9; Fri, 08 Nov 2019 15:50:45 -0500
Received: from [176.228.60.248] (port=1822 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iTBDI-0004TL-SI; Fri, 08 Nov 2019 15:50:37 -0500
Date: Fri, 08 Nov 2019 22:50:26 +0200
Message-Id: <831ruiay99.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87eeyi5cck.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 08 Nov 2019 21:42:35 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN> <87eeyi5cck.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rms@HIDDEN,  38035 <at> debbugs.gnu.org
> Date: Fri, 08 Nov 2019 21:42:35 +0100
> 
> > I guess the idea was to make sure the message is seen, not obscured
> > right away.
> 
> But we don't do this with errors that happen in other circumstances --
> just the filter errors, I think?

Because reception of process output is not necessarily a frequent
event, so we want to be sure the user had enough time to see the
message.

> (And some errors are so annoying to deal with that we disabled them
> immediately if they happen.  For instance, if a function in
> post-command-hook happens, we just remove the function immediately.)

Post command hook is called much more frequently.

> So I think the sleep in the filter handling should be removed.  (This is
> in addition to disabling the filter upon some threshold or other.)

I see no reason.  If the mechanism of disabling such a filter will
work reasonably well, the sleep will annoy a few times, and then go
away.

I understand that it pissed you off, but the situation where it
happened will be resolved by the automatic disabling, so your past
annoyance doesn't need to affect anything else.  IOW, I think you are
over-reacting here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 8 Nov 2019 20:42:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 15:42:42 2019
Received: from localhost ([127.0.0.1]:47709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTB5e-0002D3-2G
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:42:42 -0500
Received: from quimby.gnus.org ([80.91.231.51]:53188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iTB5c-0002Cv-Gf
 for 38035 <at> debbugs.gnu.org; Fri, 08 Nov 2019 15:42:41 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iTB5Y-0007CR-4u; Fri, 08 Nov 2019 21:42:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
 <83d0e8j3it.fsf@HIDDEN>
Date: Fri, 08 Nov 2019 21:42:35 +0100
In-Reply-To: <83d0e8j3it.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 03 Nov
 2019 19:03:38 +0200")
Message-ID: <87eeyi5cck.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Bu I do wonder about
 the need for the sleep when signalling errors from >> a process filter in
 particular. For instance >> >> (run-at-time 1 1 (lambda () (error))) >> >>
 doesn't pause Emacs at all, [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Bu I do wonder about the need for the sleep when signalling errors from
>> a process filter in particular.  For instance
>> 
>> (run-at-time 1 1 (lambda () (error)))
>> 
>> doesn't pause Emacs at all, but just displays the error as normal, which
>> seems, well, more normal to me.  What's so special about filter errors
>> that you have to pause Emacs?
>
> I guess the idea was to make sure the message is seen, not obscured
> right away.

But we don't do this with errors that happen in other circumstances --
just the filter errors, I think?

(And some errors are so annoying to deal with that we disabled them
immediately if they happen.  For instance, if a function in
post-command-hook happens, we just remove the function immediately.)

So I think the sleep in the filter handling should be removed.  (This is
in addition to disabling the filter upon some threshold or other.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 4 Nov 2019 03:55:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 22:55:55 2019
Received: from localhost ([127.0.0.1]:35721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRTT8-0008Dj-Sq
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 22:55:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1iRTT6-0008DV-Qq
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 22:55:53 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50751)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1iRTT1-0005os-JD; Sun, 03 Nov 2019 22:55:47 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1iRTT0-0007RA-E9; Sun, 03 Nov 2019 22:55:46 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83ftj5hsal.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 03
 Nov 2019 17:51:30 +0200)
Subject: Re: bug#38035: 27.0.50;
 Trivial errors in process filters can render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN>
Message-Id: <E1iRTT0-0007RA-E9@HIDDEN>
Date: Sun, 03 Nov 2019 22:55:46 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: larsi@HIDDEN, 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The current idea for a fix is to let the error be displayed several
  > times, until and unless it is clear that the error is repeatedly
  > signaled with a very high frequency, and if so, disable the filter for
  > that process.

  > I think this strikes the right balance between showing the error to
  > users and still leaving Emacs in a usable state.

Maybe it will work well.  I won't argue against.

-- 
Dr Richard Stallman
Founder, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 3 Nov 2019 17:03:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 12:03:46 2019
Received: from localhost ([127.0.0.1]:35023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRJI2-0004PL-FA
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 12:03:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iRJI0-0004P6-6q
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 12:03:44 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43605)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iRJHv-0004um-1T; Sun, 03 Nov 2019 12:03:39 -0500
Received: from [176.228.60.248] (port=1291 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iRJHl-0000qz-P9; Sun, 03 Nov 2019 12:03:30 -0500
Date: Sun, 03 Nov 2019 19:03:38 +0200
Message-Id: <83d0e8j3it.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87lfswap7q.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 03 Nov 2019 17:39:53 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN> <87lfswap7q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rms@HIDDEN,  38035 <at> debbugs.gnu.org
> Date: Sun, 03 Nov 2019 17:39:53 +0100
> 
> Bu I do wonder about the need for the sleep when signalling errors from
> a process filter in particular.  For instance
> 
> (run-at-time 1 1 (lambda () (error)))
> 
> doesn't pause Emacs at all, but just displays the error as normal, which
> seems, well, more normal to me.  What's so special about filter errors
> that you have to pause Emacs?

I guess the idea was to make sure the message is seen, not obscured
right away.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 3 Nov 2019 16:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 11:40:00 2019
Received: from localhost ([127.0.0.1]:34940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRIv2-0001eO-7L
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:40:00 -0500
Received: from quimby.gnus.org ([80.91.231.51]:45612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iRIv0-0001eG-BZ
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 11:39:58 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iRIuw-0007Qb-GG; Sun, 03 Nov 2019 17:39:57 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
 <83ftj5hsal.fsf@HIDDEN>
Date: Sun, 03 Nov 2019 17:39:53 +0100
In-Reply-To: <83ftj5hsal.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 03 Nov
 2019 17:51:30 +0200")
Message-ID: <87lfswap7q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > The current idea for
 a fix is to let the error be displayed several > times, until and unless
 it is clear that the error is repeatedly > signaled with a very high frequency,
 and if so, disable the f [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org, rms@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The current idea for a fix is to let the error be displayed several
> times, until and unless it is clear that the error is repeatedly
> signaled with a very high frequency, and if so, disable the filter for
> that process.
>
> I think this strikes the right balance between showing the error to
> users and still leaving Emacs in a usable state.

I think that's the right solution, too.

Bu I do wonder about the need for the sleep when signalling errors from
a process filter in particular.  For instance

(run-at-time 1 1 (lambda () (error)))

doesn't pause Emacs at all, but just displays the error as normal, which
seems, well, more normal to me.  What's so special about filter errors
that you have to pause Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 3 Nov 2019 15:51:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 10:51:35 2019
Received: from localhost ([127.0.0.1]:34864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRIAB-0006i0-3h
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 10:51:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iRIA9-0006hm-Af
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 10:51:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42385)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iRIA4-0003E5-4P; Sun, 03 Nov 2019 10:51:28 -0500
Received: from [176.228.60.248] (port=4853 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iRI9w-0006e8-Pe; Sun, 03 Nov 2019 10:51:21 -0500
Date: Sun, 03 Nov 2019 17:51:30 +0200
Message-Id: <83ftj5hsal.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-reply-to: <E1iRFoe-0001I4-7D@HIDDEN> (message from Richard
 Stallman on Sun, 03 Nov 2019 08:21:12 -0500)
Subject: Re: bug#38035: 27.0.50;
 Trivial errors in process filters can render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: larsi@HIDDEN, 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Richard Stallman <rms@HIDDEN>
> Date: Sun, 03 Nov 2019 08:21:12 -0500
> Cc: 38035 <at> debbugs.gnu.org
> 
> The special code to make errors in filters visible is an important
> feature.  It prevents confusion, whereby users don't understand
> what is failing because they don't see the error messages.
> 
> It also makes possible, as you've pointed out, one more way you can
> screw yourself with a perverse Lisp program -- but is it worth trying
> to fix that?

The current idea for a fix is to let the error be displayed several
times, until and unless it is clear that the error is repeatedly
signaled with a very high frequency, and if so, disable the filter for
that process.

I think this strikes the right balance between showing the error to
users and still leaving Emacs in a usable state.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 3 Nov 2019 14:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 09:53:00 2019
Received: from localhost ([127.0.0.1]:33517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRHFT-0000ni-Sr
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 09:53:00 -0500
Received: from quimby.gnus.org ([80.91.231.51]:44310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iRHFS-0000nX-1Z
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 09:52:58 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iRHFN-0006h6-Vk; Sun, 03 Nov 2019 15:52:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <E1iRFoe-0001I4-7D@HIDDEN>
Date: Sun, 03 Nov 2019 15:52:53 +0100
In-Reply-To: <E1iRFoe-0001I4-7D@HIDDEN> (Richard Stallman's message
 of "Sun, 03 Nov 2019 08:21:12 -0500")
Message-ID: <87zhhdau62.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Richard Stallman <rms@HIDDEN> writes: > It also makes
 possible, 
 as you've pointed out, one more way you can > screw yourself with a perverse
 Lisp program -- but is it worth trying > to fix that? This isn't about
 perverse
 Lisp programs -- it's about being able to write code without any trivial
 error making Emacs blow up. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Stallman <rms@HIDDEN> writes:

> It also makes possible, as you've pointed out, one more way you can
> screw yourself with a perverse Lisp program -- but is it worth trying
> to fix that?

This isn't about perverse Lisp programs -- it's about being able to
write code without any trivial error making Emacs blow up.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 3 Nov 2019 13:21:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 03 08:21:26 2019
Received: from localhost ([127.0.0.1]:33479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRFos-0002tP-0X
	for submit <at> debbugs.gnu.org; Sun, 03 Nov 2019 08:21:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1iRFop-0002tC-4D
 for 38035 <at> debbugs.gnu.org; Sun, 03 Nov 2019 08:21:25 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40753)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1iRFoj-0005yc-Us; Sun, 03 Nov 2019 08:21:17 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1iRFoe-0001I4-7D; Sun, 03 Nov 2019 08:21:12 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <874kzmdv0q.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 02 Nov 2019 18:53:57 +0100)
Subject: Re: bug#38035: 27.0.50;
 Trivial errors in process filters can render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN>
Message-Id: <E1iRFoe-0001I4-7D@HIDDEN>
Date: Sun, 03 Nov 2019 08:21:12 -0500
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

The special code to make errors in filters visible is an important
feature.  It prevents confusion, whereby users don't understand
what is failing because they don't see the error messages.

It also makes possible, as you've pointed out, one more way you can
screw yourself with a perverse Lisp program -- but is it worth trying
to fix that?

-- 
Dr Richard Stallman
Founder, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 2 Nov 2019 18:40:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 14:40:08 2019
Received: from localhost ([127.0.0.1]:33105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQyJj-0003in-M0
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:40:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQyJi-0003iD-5J
 for 38035 <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:40:06 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59290)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQyJc-0000AV-VW; Sat, 02 Nov 2019 14:40:01 -0400
Received: from [176.228.60.248] (port=3051 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQyJb-0006CM-Ac; Sat, 02 Nov 2019 14:40:00 -0400
Date: Sat, 02 Nov 2019 20:40:00 +0200
Message-Id: <83o8xui0lb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87o8xucee9.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 02 Nov 2019 19:38:22 +0100)
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <83pniai0rw.fsf@HIDDEN>
 <87o8xucee9.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 38035 <at> debbugs.gnu.org
> Date: Sat, 02 Nov 2019 19:38:22 +0100
> 
> > I'd suggest to count the number of times a process filter errors out,
> > and disable it after some configurable number.  Doing that on the
> > first error sounds too drastic: it could be a one-time spurious error.
> 
> Good idea.  Perhaps something time-based -- if it errors out at a rate
> that would make Emacs unusable (so more than, say, ten errors per
> minute (configurable), would disable the filter)?

Works for me, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 2 Nov 2019 18:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 14:38:28 2019
Received: from localhost ([127.0.0.1]:33097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQyI7-0003fR-U3
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:38:28 -0400
Received: from quimby.gnus.org ([80.91.231.51]:59188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iQyI6-0003fK-9Y
 for 38035 <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:38:26 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iQyI2-0005UE-Vt; Sat, 02 Nov 2019 19:38:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38035: 27.0.50; Trivial errors in process filters can
 render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN> <83pniai0rw.fsf@HIDDEN>
Date: Sat, 02 Nov 2019 19:38:22 +0100
In-Reply-To: <83pniai0rw.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 02 Nov
 2019 20:36:03 +0200")
Message-ID: <87o8xucee9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Yes,
 see read_process_output_error_handler
 (it's actually 2-sec > sleep), and read_and_dispose_of_process_output, where
 we set up for > calling the process filter. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Yes, see read_process_output_error_handler (it's actually 2-sec
> sleep), and read_and_dispose_of_process_output, where we set up for
> calling the process filter.

Ah, right.

> I'd suggest to count the number of times a process filter errors out,
> and disable it after some configurable number.  Doing that on the
> first error sounds too drastic: it could be a one-time spurious error.

Good idea.  Perhaps something time-based -- if it errors out at a rate
that would make Emacs unusable (so more than, say, ten errors per
minute (configurable), would disable the filter)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at 38035 <at> debbugs.gnu.org:


Received: (at 38035) by debbugs.gnu.org; 2 Nov 2019 18:36:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 14:36:20 2019
Received: from localhost ([127.0.0.1]:33088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQyG4-0003bW-2f
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:36:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQyG0-0003bD-IW
 for 38035 <at> debbugs.gnu.org; Sat, 02 Nov 2019 14:36:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59253)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQyFv-0005q4-Cw; Sat, 02 Nov 2019 14:36:11 -0400
Received: from [176.228.60.248] (port=2810 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQyFt-0005vx-Ae; Sat, 02 Nov 2019 14:36:11 -0400
Date: Sat, 02 Nov 2019 20:36:03 +0200
Message-Id: <83pniai0rw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <874kzmdv0q.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 02 Nov 2019 18:53:57 +0100)
Subject: Re: bug#38035: 27.0.50;
 Trivial errors in process filters can render Emacs unusable
References: <874kzmdv0q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38035
Cc: 38035 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sat, 02 Nov 2019 18:53:57 +0100
> 
> (let ((process (start-process
> 		"foo" (get-buffer-create "*foo*")
> 		"bash" "-c" "while true; do echo foo; sleep 1; done")))
>   (set-process-filter
>    process
>    (lambda (&rest _)
>      (error))))
> 
> The reason for this is that when signalling an error from a process
> filter, Emacs messages the error message and then seems to sleep for a
> second?

Yes, see read_process_output_error_handler (it's actually 2-sec
sleep), and read_and_dispose_of_process_output, where we set up for
calling the process filter.

> I'm not sure what solution would be best.  I see two obvious things we
> could do: Remove the process filter, so that it doesn't trigger again.
> Or -- remove the one-second sleep, which would allow the user to `M-x
> list-processes' and kill the offending process.

I'd suggest to count the number of times a process filter errors out,
and disable it after some configurable number.  Doing that on the
first error sounds too drastic: it could be a one-time spurious error.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2019 17:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 02 13:54:07 2019
Received: from localhost ([127.0.0.1]:33058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQxbD-0002SG-B4
	for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 13:54:07 -0400
Received: from lists.gnu.org ([209.51.188.17]:48994)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iQxbB-0002S6-BC
 for submit <at> debbugs.gnu.org; Sat, 02 Nov 2019 13:54:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50104)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <larsi@HIDDEN>) id 1iQxb9-0003aH-W0
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 13:54:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1iQxb8-0004tM-PR
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 13:54:03 -0400
Received: from quimby.gnus.org ([80.91.231.51]:52760)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <larsi@HIDDEN>) id 1iQxb8-0004rf-Ic
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 13:54:02 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1iQxb4-000512-3x
 for bug-gnu-emacs@HIDDEN; Sat, 02 Nov 2019 18:54:00 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Trivial errors in process filters can render Emacs unusable
Date: Sat, 02 Nov 2019 18:53:57 +0100
Message-ID: <874kzmdv0q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 80.91.231.51
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


If you eval the following, your Emacs will become unusable and you'll
have to kill it (so don't eval it):

(let ((process (start-process
		"foo" (get-buffer-create "*foo*")
		"bash" "-c" "while true; do echo foo; sleep 1; done")))
  (set-process-filter
   process
   (lambda (&rest _)
     (error))))

The reason for this is that when signalling an error from a process
filter, Emacs messages the error message and then seems to sleep for a
second?  I haven't investigated the code yet.

This is something that has bit me more than a few times when working
with process filters (i.e., making a syntax error and then having Emacs
blow up on me).

I'm not sure what solution would be best.  I see two obvious things we
could do: Remove the process filter, so that it doesn't trigger again.
Or -- remove the one-second sleep, which would allow the user to `M-x
list-processes' and kill the offending process.


In GNU Emacs 27.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-11-01 built on marnie
Repository revision: eda98211e31ed969823c1048b3cde635e08eebe5
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38035; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.